View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
privilegesobject<FeaturePrivilegeBase>[]Optionalvalue_typeenum<PrivilegeValueType>Optionalconfigobject<PrivilegeConfig>Optionalapplication/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/features/string" \ -H "Content-Type: application/json" \ -d '{ "name": "User Seats", "description": "Maximum number of users allowed in the account", "privileges": [ { "code": "max", "name": "Maximum seats", "value_type": "INTEGER" }, { "code": "max_admins", "name": "Maximum admin users", "value_type": "INTEGER" }, { "code": "root", "name": "Allow root user", "value_type": "BOOLEAN" }, { "code": "guest_access", "name": "Allow guest access", "value_type": "BOOLEAN" } ] }'{ "code": "seats", "name": "User Seats", "description": "Maximum number of users allowed in the account", "privileges": [ { "code": "max", "name": "Maximum seats", "value_type": "INTEGER" }, { "code": "max_admins", "name": "Maximum admin users", "value_type": "INTEGER" }, { "code": "root", "name": "Allow root user", "value_type": "BOOLEAN" }, { "code": "guest_access", "name": "Allow guest access", "value_type": "BOOLEAN" } ], "created_at": "2025-01-28T10:00:00Z"}